Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 450775 - Review Request: perl-Panotools-Script - Panorama Tools scripting
Summary: Review Request: perl-Panotools-Script - Panorama Tools scripting
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-10 21:18 UTC by Bruno Postle
Modified: 2008-06-16 21:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-16 21:27:33 UTC
Type: ---
j: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Bruno Postle 2008-06-10 21:18:44 UTC
Spec URL: http://fedorapeople.org/~bpostle/reviews/perl-Panotools-Script/perl-Panotools-Script.spec
SRPM URL: http://fedorapeople.org/~bpostle/reviews/perl-Panotools-Script/perl-Panotools-Script-0.14-1.fc9.src.rpm
Description:

I'm also upstream for this CPAN perl module, which is intended to be complementary to the hugin package already in fedora.  It falls into three parts:

A fairly standard set of .pm library modules.
Some command-line tools using various aspects of the library modules.
Some gui scripts using zenity, these are not so pretty internally, but they all have .desktop entries.

Comment 1 Jason Tibbitts 2008-06-12 04:09:26 UTC
Builds fine; rpmlint does spit this out
  E: explicit-lib-dependency libpano13-tools
but I think it's bogus; rpmlint just complains whenever you have an explicit dependency on any package starting with "lib".

The Source0 URL doesn't seem to be correct; http://www.cpan.org/modules/by-module/Panotools doesn't seem to exist.  I was able to fetch the source from the search.cpan.org page.

I'm not sure I can understand what this package does given the %description you have.  Unfortunately I don't really understand enough about this package to suggest anything which might be more descriptive.

Why do you have a runtime dependency on desktop-file-utils?

* source files match upstream:
   797a78beecd76a95d26d6a7c794d2b6ee3b7bf90eb439354101ee1f66c21fcfe  
   Panotools-Script-0.14.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
? not sure about the description.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint has acceptable complaints.
? final provides and requires:
   perl(Panotools::Matrix)
   perl(Panotools::Script) = 0.14
   perl(Panotools::Script::Line)
   perl(Panotools::Script::Line::Control)
   perl(Panotools::Script::Line::ControlMorph)
   perl(Panotools::Script::Line::Image)
   perl(Panotools::Script::Line::ImageMetadata)
   perl(Panotools::Script::Line::Mode)
   perl(Panotools::Script::Line::Option)
   perl(Panotools::Script::Line::Output)
   perl(Panotools::Script::Line::Panorama)
   perl(Panotools::Script::Line::Variable)
   perl-Panotools-Script = 0.14-1.fc10
  =
   /bin/sh
   /usr/bin/perl
   ImageMagick
   autotrace
?  desktop-file-utils
   enblend
   hugin-base
   libpano13-tools
   perl(:MODULE_COMPAT_5.10.0)
   perl(Exporter)
   perl(File::Copy)
   perl(File::Spec)
   perl(File::Temp)
   perl(Getopt::Long)
   perl(GraphViz)
   perl(GraphViz) >= 1
   perl(Image::Size)
   perl(Image::Size) >= 2.9
   perl(Math::Trig)
   perl(Panotools::Matrix)
   perl(Panotools::Script)
   perl(Panotools::Script::Line)
   perl(Panotools::Script::Line::Control)
   perl(Panotools::Script::Line::ControlMorph)
   perl(Panotools::Script::Line::Image)
   perl(Panotools::Script::Line::ImageMetadata)
   perl(Panotools::Script::Line::Mode)
   perl(Panotools::Script::Line::Option)
   perl(Panotools::Script::Line::Output)
   perl(Panotools::Script::Line::Panorama)
   perl(Panotools::Script::Line::Variable)
   perl(Pod::Usage)
   perl(Storable)
   perl(bytes)
   perl(strict)
   perl(vars)
   perl(warnings)
   zenity

* %check is present and all tests pass:
   All tests successful.
   Files=11, Tests=79,  1 wallclock secs ( 0.50 cusr +  0.08 csys =  0.58 CPU)

* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (update-desktop-database)
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* desktop files valid and installed properly.

Comment 2 Bruno Postle 2008-06-12 21:09:57 UTC
(In reply to comment #1)

> The Source0 URL doesn't seem to be correct;
http://www.cpan.org/modules/by-module/Panotools doesn't seem to exist.

Fixed, www.cpan.org doesn't host all CPAN modules, but cpanspec thinks it does.

> I'm not sure I can understand what this package does given the %description
you have.

I've changed it to something more appropriate both in the SPEC file and upstream
SVN (this module has changed purpose somewhat since it was first created):

"Library and utilities for manipulating project files created by the hugin photo
stitching software."

> Why do you have a runtime dependency on desktop-file-utils?

%post/%postun both run update-desktop-database, but I see from the
ScriptletSnippets page that I don't need to put it in the SPEC, fixed.

Updated files:
http://fedorapeople.org/~bpostle/reviews/perl-Panotools-Script/perl-Panotools-Script.spec
http://fedorapeople.org/~bpostle/reviews/perl-Panotools-Script/perl-Panotools-Script-0.14-2.fc9.src.rpm

Comment 3 Jason Tibbitts 2008-06-12 22:24:09 UTC
Note that if you needed a runtime dependency on update-desktop-database, you'd
have to use Requires(pre): and Requires(post): to ensure that the package would
be there when the scriptlets are executed.  Since you don't need it at all,
things are fine now.

I haven't noticed a module that isn't hosted at www.cpan.org before; it might be
possible to enhance cpanspec to handle that situation.

Everything looks good to me.

APPROVED

Comment 4 Bruno Postle 2008-06-13 21:31:53 UTC
New Package CVS Request
=======================
Package Name: perl-Panotools-Script
Short Description: Panorama Tools scripting
Owners: bpostle
Branches: F-9
InitialCC:
Cvsextras Commits: yes


Comment 5 Kevin Fenzi 2008-06-16 16:06:57 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.